petsc-3.6.2 2015-10-02
Report Typos and Errors

# SNESGetErrorIfNotConverged

Will SNESSolve() generate an error if the solver does not converge?

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetErrorIfNotConverged(SNES snes,PetscBool  *flag)

Not Collective

### Input Parameter

snes -iterative context obtained from SNESCreate()

### Output Parameter

flag -PETSC_TRUE if it will generate an error, else PETSC_FALSE

### Keywords

SNES, set, initial guess, nonzero

### See Also

SNESSetErrorIfNotConverged(), KSPGetErrorIfNotConverged(), KSPSetErrorIFNotConverged()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages